org.tmatesoft.svn.core.io

## Interface ISVNFileCheckoutTarget

-     public interface ISVNFileCheckoutTarget

  The ISVNFileCheckoutTarget interface is used in the `SVNRepository.checkoutFiles(long, String[], ISVNFileCheckoutTarget)` method to receive versioned file data from the repository.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filePropertyChanged(java.lang.String path, java.lang.String name, SVNPropertyValue value)` Receives and handles a next file property.
    `java.io.OutputStream` | `getOutputStream(java.lang.String path)` Returns an output stream that will receive file contents of `path`.

- - ### Method Detail

    - #### getOutputStream

          java.io.OutputStream getOutputStream(java.lang.String path)
                                               throws SVNException

      Returns an output stream that will receive file contents of `path`.
      Parameters:
        `path` - file path relative to the location of an `SVNRepository` object
      Returns:
        output stream to receive file contents
      Throws:
        `SVNException`

    - #### filePropertyChanged

          void filePropertyChanged(java.lang.String path,
                                 java.lang.String name,
                                 SVNPropertyValue value)
                                   throws SVNException

      Receives and handles a next file property. Since this handler is used in a checkout-kind operations only, the `value` can never be null.
      Parameters:
        `path` - file path relative to the location of an `SVNRepository` object
        `name` - property name
        `value` - property value
      Throws:
        `SVNException`